import { NestFactory } from '@nestjs/core';

import { AppModule } from './app.module';

/*
  Main.ts starts the server.
*/

async function bootstrap() {
  // port opened
  const port = 5000;

  const app = await NestFactory.create(AppModule);
  // Cors is needed for application/json POST
  app.enableCors();
  // Server will listen on port
  await app.listen(port);
}
bootstrap();
